package com.company.bw_emerson_fallah.Stellar;

import org.stellar.sdk.KeyPair;

/**
 *
 * @author emerson
 */
public class AccountGenerator {

    /**
     * Account Generator Constructor
     */
    public AccountGenerator() {

    }

    /**
     * This method creates a new stellar wallet
     *
     * @param keypair
     * @return Object - Wallet
     */
    public WalletManager createStellarAccount(KeyPair keypair) {
        WalletManager wallet = new WalletManager(keypair);
        return wallet;
    }

    /**
     * This method generates a unique key pair for each account
     *
     * @return KeyPair - generated key
     */
    public KeyPair generateKeyPair() {
        KeyPair key = KeyPair.random();
        return key;
    }
}
