package com.company.bw_emerson_fallah.Stellar;

import java.io.IOException;
import org.stellar.sdk.KeyPair;

/**
 *
 * @author emerson
 */
public class AccountManager {

    WalletManager manager = new WalletManager();
    final String AMOUNT = "500";
    final String sourceKey = "SBIJ6H6OR7IZX4ZUNDZY2OIMBBTCJINWT6PNNSFUXKFEQWO27BLA2FD4"; // public key GAD2BMUZU2L5VAYMWEQE6BVPS7P5FX5C47OVBH46XM5Z5D423NWXOGZG
    final String destinaionKey = "GC7G6GPNTD625IJXVMIRN4YTKESTTKJ2GCNOJAGBIGUTOSYR7IZ2DOQX"; // secret seed SCGTTMIJWTCOUSBAQWGAWBJIIKZZQZCTISUVWBHZVZKK3IPYNFVGMW3I

    TransactionManager transaction = new TransactionManager(sourceKey, destinaionKey);

    public void createAccount() throws InterruptedException {
        System.out.println("================================= ");
        System.out.println();
        System.out.println("Generate Stellar KeyPair for Source: ");
        Thread.sleep(500);
        AccountGenerator accountGenerator1 = new AccountGenerator();
        KeyPair keyPair1 = accountGenerator1.generateKeyPair();
        Thread.sleep(500);
        System.out.println("KeyPair for source generated... ");
        Thread.sleep(500);
        System.out.println("Generate Stellar Account for Source: ");
        manager = accountGenerator1.createStellarAccount(keyPair1);
        manager.setSecretSeed();
        manager.setAccountId();
        System.out.println("Stellar account for source created... ");
        System.out.println("================================= ");
        System.out.println();
        System.out.println("Verify the new account by getting the secret seed...: ");
        System.out.println(manager.getSecretSeed());
        System.out.println("Verify the new account by getting the public address...: ");
        System.out.println(manager.getAccountId());
        System.out.println("================================= ");
    }

    public void activateAccount() {
        System.out.println("In order to send/receive money activate account by sending Lumens to your account: ");
        System.out.println("Activating Account... ");
        manager.activateAccount();
        System.out.println();
        System.out.println("Account activated");
    }

    public void checkAccountBalance() throws IOException {
        System.out.println("CHECKING MY ACCOUNTS BALANCE");
        manager.checkAccountBalance();
    }

    public void sendTransaction() {
        System.out.println("================================= ");
        System.out.println("Sending Payment ........ ");
        System.out.println("================================= ");
        long startTime = getCurrentTime();
        transaction.sendTransaction(AMOUNT);
        long endTime = getCurrentTime();

        long executionTime = endTime - startTime;
        System.out.println("EXECUTION TIME: " + executionTime + " milliseconds.");
    }

    public void menu() {
        System.out.println("1: Create Account ");
        System.out.println("2: Activate Account ");
        System.out.println("3: Check Account Balance ");
        System.out.println("4: Send Transaction ");
        System.out.println("5: Check Source Balance ");
        System.out.println("6: Check Destination Balance ");
        System.out.println("7: Back to Menu ");
    }

    public void checkSourceBalance() throws IOException {
        transaction.checkSourceBalance();
    }

    public void checkDestinationBalance() throws IOException {
        transaction.checkDestinationBalance();
    }

    public long getCurrentTime() {
        return System.currentTimeMillis();
    }

}
