package com.company.bw_emerson_fallah.Stellar;

import java.io.IOException;
import java.util.Scanner;

/**
 *
 * @author emerson
 */
public class DEMOTEST {

    public static final String EXIT_COMMAND = "exit";

    public static void main(String[] args) throws InterruptedException, IOException {

        Scanner sc = new Scanner(System.in);
        AccountManager accManag = new AccountManager();

        accManag.menu();

        while (true) {

            System.out.print("> ");
            String input;
            input = sc.nextLine();

            System.out.println(input);

            if (input.length() == EXIT_COMMAND.length() && input.toLowerCase().equals(EXIT_COMMAND)) {
                System.out.println("Exiting.");
                return;
            }

            switch (Integer.parseInt(input)) {
                case 1 -> {
                    // Choose 1 to create an account
                    accManag.createAccount();
                }
                case 2 -> {
                    // Choose 2 to activate the created account
                    accManag.activateAccount();
                }
                case 3 -> {
                    // Choose 3 to cheack account balance after activation
                    accManag.checkAccountBalance();
                }
                case 4 -> {
                    // Choose 4 to make a transaction
                    accManag.sendTransaction();
                }
                case 5 ->
                    // Choose 5 to check your accounts balance
                    accManag.checkSourceBalance();
                case 6 ->
                    // Choose 6 to check if transaction was successful
                    accManag.checkDestinationBalance();
                case 7 -> {
                    // Choose 7 to return back to main menu
                    accManag.menu();
                }
                default -> {
                }
            }
        }
    }
}
